cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}Jobs
Fetch a job
Fetch an existing job by ID.
GET
/
transform
/
v1
/
jobs
/
{id}
cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Was this page helpful?